<!doctype html>
<html lang="es">
    <head>
        <meta charset="utf-8">
        <title>Ocultar Contenido</title>
        <link rel="stylesheet" href="../css/ejemplos.css">
        <style>
            main {
                padding: 2em;
            }
            .ejemplo > span {
                display: inline-block;
                border: 1px solid;
                padding: 1em;
            }

            .lbl-visibilidad > span {
                cursor: pointer;
            }

            .span-ocultar {
                display: none;
            }

            :checked + label > .span-ocultar {
                display: inline;
            }
            :checked + label > .span-mostrar {
                display: none;
            }

            :checked ~ div > span {
                display: inline-block;
                opacity: 1;
                visibility: visible;
            }

            span.span-2 {
                display: none;
            }
            .span-5 {
                visibility: hidden;
            }
            .span-8 {
                opacity: 0;
            }
        </style>
    </head>
    <body>
        <main>

            <input type="checkbox" id="visibilidad">
            <label for="visibilidad" class="lbl-visibilidad">
                <span class="span-mostrar">Mostrar</span><span class="span-ocultar">Ocultar</span>
            </label>

            <div class="ejemplo">
                <span>0</span>
                <span>1</span>
                <span class="span-2">2</span>
                <span>3</span>
                <span>4</span>
                <span class="span-5">5</span>
                <span>6</span>
                <span>7</span>
                <span class="span-8">8</span>
                <span>9</span>
            </div>
        </main>
    </body>
</html>